
set ozResult 0
set ozValueOk 0




proc OzListDlg {title prompt values} {
	global   ozValueOk  ozResult


	catch { destroy .listDlg }

	toplevel .listDlg

	wm title .listDlg  $title

	frame .listDlg.frame
	frame .listDlg.buttons
	pack .listDlg.frame .listDlg.buttons -side top -fill x

	message .listDlg.frame.msg -text $prompt -aspect 1000

	listbox .listDlg.frame.listbox \
		-yscrollcommand ".listDlg.frame.yscroll set"

	scrollbar .listDlg.frame.yscroll  \
		-command ".listDlg.frame.listbox yview"
	pack .listDlg.frame.yscroll -side right -fill y

	pack .listDlg.frame.msg .listDlg.frame.listbox -pady 5

	button .listDlg.buttons.ok  -text OK -command  {set ozValueOk 1}
	button .listDlg.buttons.cancel  -text Cancel -command {set ozValueOk 0}
	pack .listDlg.buttons.ok -side left
	pack .listDlg.buttons.cancel -side right


	bind .listDlg.frame.listbox <Double-Button-1> {set ozValueOk 1 ; break}

	foreach x $values {
		.listDlg.frame.listbox insert end $x
	}
	.listDlg.frame.listbox selection set 0


	set ozResult ""
	set ozValueOk 0
	tkwait variable ozValueOk
	puts "ozValueOk = $ozValueOk"
	if {$ozValueOk == 0} {
		set ozResult ""
	} else {
		set item [.listDlg.frame.listbox curselection]
		set ozResult [.listDlg.frame.listbox get $item]
	}

	puts "OzlistDlg = $ozResult"
	destroy .listDlg
}
 
OzListDlg  "The title"  "This is a prompt"  \
{aaaa "bbbb bbb bbbb" ccc ddddd x x x x x x x x x x x x x xx x x x x x x ZZZ}

